#
# spec file for package php5-pear-XML_SVG
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-XML_SVG
%define pear_name  XML_SVG
%define pear_sname xml_svg
Summary:        XML SVG API (unmaintained)
License:        LGPL-3.0
Group:          Productivity/Networking/Web/Servers
Version:        1.1.0
Release:        11.3
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source0:        %{pear_name}-%{version}.tgz
Source1:        COPYING
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php >= 5
%if 0%{?sles_version} == 11
BuildRequires:  php53-devel
%else
BuildRequires:  php-macros
%endif
BuildRequires:  php-pear
Requires:       php >= 5
Requires:       php-pear
Provides:       pear-%{pear_name}
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_name}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description

This package provides an object-oriented API for building SVG documents.

%prep
%setup -c
%{__cp} %{SOURCE1} .

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc COPYING

%changelog
* Tue Nov 27 2012 Ralf Lang <lang@b1-systems.de>
- version 1.1.0 (unmaintained)
- adresses Bug #19074 missing paramater in "XML_SVG_Image" class
- One class per file now
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Fri Feb 11 2011 lang@b1-systems.de
- added local COPYING file
- contacted upstream to fix this
* Mon Jan 31 2011 lang@b1-systems.de
- added proper license tag
* Fri Jan 28 2011 lang@b1-systems.de
- updated to 1.0.3 and new spec file from template and php-macros
